import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';
import {Response} from "@angular/http";
import {AppService} from "../../../service/appHttpService";


@IonicPage()
@Component({
  selector: 'page-my-block',
  templateUrl: 'my-block.html',
})
export class MyBlockPage {
    ownerList;
    contactPersonInfo;
  constructor(public navCtrl: NavController, public navParams: NavParams,
              public appService:AppService) {
  }

  ionViewDidLoad() {
      this.contactPersonInfo = this.navParams.get('item');
      console.log(this.contactPersonInfo);
    this.initOwnerList();
  }

    initOwnerList(){
        const data = {
            pageSize:'10',
            pageNumber:'1'
        };
        this.appService.ObserverHttpGetData("/wisdomgroup/modules/telpBook",data)
            .subscribe((res: Response) => {
                    let data = res.json();
                    this.ownerList = data.data.list;
                }, error => {
                    this.appService.alert('网络异常！');
                }
            );
    }

    addBlock(item){
      const data = {
          // 'groupName':item.usergroupName,
          'telpBookPersonList':[{
              'telpbookId':item.id,
              'linkUserid':this.contactPersonInfo.id,
              'linkUsername':this.contactPersonInfo.name
          }]
      };
      this.appService.ObserverHttpPostData('/wisdomgroup/modules/telpBook',data)
          .subscribe((res)=>{
              console.log(res.json());
          })
    }
}
